## python-mistralclient 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=1.14.0 # Apache-2.0
pbr>=1.6
python-keystoneclient>=1.6.0
PyYAML>=3.1.0
requests>=2.5.2

=== debian/changelog ===
python-mistralclient (1:1.1.0-2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 Oct 2015 03:02:10 +0000

python-mistralclient (1:1.1.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 12:32:29 +0000

python-mistralclient (1:1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 12:27:55 +0000

python-mistralclient (1:1.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Applied Ubuntu patch (Closes: #796462).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 10:12:57 +0000

python-mistralclient (1:1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 14:08:47 +0000

python-mistralclient (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2015 20:11:37 +0000

python-mistralclient (2015.1~rc1-1) experimental; urgency=medium

  * Initial release. (Closes: #781149).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Feb 2015 19:36:19 +0100

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.14.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-nose,
                     python-requests (>= 2.5.2),
                     python-tempest-lib (>= 0.6.1),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-yaml,
                     python3-cliff (>= 1.14.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-nose,
                     python3-requests (>= 2.5.2),
                     python3-tempest-lib (>= 0.6.1),
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     python3-yaml,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mistralclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-mistralclient.git
Homepage: https://github.com/stackforge/python-mistralclient

Package: python-mistralclient
Architecture: all
Depends: python-cliff (>= 1.14.0),
         python-keystoneclient (>= 1:1.6.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.5.2),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 2.7
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 2.7 client module.

Package: python3-mistralclient
Architecture: all
Depends: python3-cliff (>= 1.14.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.5.2),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/python-mistralclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mistralclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mistralclient; \
	done
	rm -rf $(CURDIR)/debian/python*-mistralclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-mistralclient/usr/bin/mistral $(CURDIR)/debian/python-mistralclient/usr/bin/python2-mistral
	mv $(CURDIR)/debian/python3-mistralclient/usr/bin/mistral $(CURDIR)/debian/python3-mistralclient/usr/bin/python3-mistral

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
	nosetests3 -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
#	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-mistralclient/usr/share/doc/python-mistralclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mistralclient 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,>=1.15.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:2.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:33:59 +0000

python-mistralclient (1:2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:15:51 +0000

python-mistralclient (1:2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upsream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:33:09 +0100

python-mistralclient (1:1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 10:24:42 +0000

python-mistralclient (1:1.1.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:17:16 +0000

python-mistralclient (1:1.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:07:40 +0000

=== debian/control ===
--- 
+++ 
@@ -13,38 +13,40 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-cliff (>= 1.14.0),
+Build-Depends-Indep: python-cliff (>= 1.15.0),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.3),
                      python-nose,
-                     python-requests (>= 2.5.2),
-                     python-tempest-lib (>= 0.6.1),
+                     python-openstackclient (>= 2.1.0),
+                     python-requests (>= 2.8.1),
+                     python-tempest-lib (>= 0.14.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-yaml,
-                     python3-cliff (>= 1.14.0),
+                     python3-cliff (>= 1.15.0),
                      python3-fixtures (>= 1.3.1),
                      python3-keystoneclient (>= 1:1.6.0),
                      python3-mock (>= 1.3),
                      python3-nose,
-                     python3-requests (>= 2.5.2),
-                     python3-tempest-lib (>= 0.6.1),
+                     python3-openstackclient (>= 2.1.0),
+                     python3-requests (>= 2.8.1),
+                     python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-yaml,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mistralclient.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-mistralclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-mistralclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-mistralclient.git
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient
 Architecture: all
-Depends: python-cliff (>= 1.14.0),
+Depends: python-cliff (>= 1.15.0),
          python-keystoneclient (>= 1:1.6.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -66,10 +68,10 @@
 
 Package: python3-mistralclient
 Architecture: all
-Depends: python3-cliff (>= 1.14.0),
+Depends: python3-cliff (>= 1.15.0),
          python3-keystoneclient (>= 1:1.6.0),
          python3-pbr (>= 1.8),
-         python3-requests (>= 2.5.2),
+         python3-requests (>= 2.8.1),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 	rm -rf $(CURDIR)/debian/python*-mistralclient/usr/lib/python*/dist-packages/*.pth
 	mv $(CURDIR)/debian/python-mistralclient/usr/bin/mistral $(CURDIR)/debian/python-mistralclient/usr/bin/python2-mistral
 	mv $(CURDIR)/debian/python3-mistralclient/usr/bin/mistral $(CURDIR)/debian/python3-mistralclient/usr/bin/python3-mistral
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## python-mistralclient 2.1.1

=== debian/changelog ===
python-mistralclient (1:2.1.1-0ubuntu1~cloud0.1) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 12 Dec 2016 10:09:53 +0000

python-mistralclient (1:2.1.1-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upsream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 12:17:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-mistralclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -14,29 +15,37 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-cliff (>= 1.15.0),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.3),
+                     python-keystoneclient (>= 1:2.0.0),
+                     python-mock (>= 2.0),
                      python-nose,
                      python-openstackclient (>= 2.1.0),
-                     python-requests (>= 2.8.1),
-                     python-tempest-lib (>= 0.14.0),
+                     python-osc-lib (>= 1.0.2),
+                     python-oslo.utils (>= 3.16.0),
+                     python-osprofiler (>= 1.4.0),
+                     python-requests (>= 2.10.0),
+                     python-six (>= 1.9.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-yaml,
                      python3-cliff (>= 1.15.0),
-                     python3-fixtures (>= 1.3.1),
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-mock (>= 1.3),
+                     python3-fixtures (>= 3.0.0),
+                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-mock (>= 2.0),
                      python3-nose,
                      python3-openstackclient (>= 2.1.0),
-                     python3-requests (>= 2.8.1),
-                     python3-tempest-lib (>= 0.14.0),
+                     python3-osc-lib (>= 1.0.2),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-osprofiler (>= 1.4.0),
+                     python3-requests (>= 2.10.0),
+                     python3-six (>= 1.9.0),
+                     python3-tempest (>= 1:12.1.0),
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-yaml,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-mistralclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-mistralclient.git
 Homepage: https://github.com/stackforge/python-mistralclient
@@ -44,9 +53,12 @@
 Package: python-mistralclient
 Architecture: all
 Depends: python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneclient (>= 1:2.0.0),
+         python-osc-lib (>= 1.0.2),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
+         python-six (>= 1.9.0),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -69,9 +81,12 @@
 Package: python3-mistralclient
 Architecture: all
 Depends: python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1:1.6.0),
+         python3-keystoneclient (>= 1:2.0.0),
+         python3-osc-lib (>= 1.0.2),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
+         python3-six (>= 1.9.0),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/python-mistralclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## python-mistralclient 2.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-mistralclient (1:2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 23:24:09 +0100

python-mistralclient (1:2.1.1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:19 +0200

python-mistralclient (1:2.1.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upsream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Fix the .gitreview file to use OpenStack gerrit.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 00:33:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-mistralclient
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -46,8 +45,8 @@
                      python3-unittest2,
                      python3-yaml,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-mistralclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-mistralclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mistralclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-mistralclient -b debian/newton
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient

=== debian/rules ===
--- 
+++ 
@@ -1,27 +1,12 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-mistralclient; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-mistralclient; \
-	done
-	rm -rf $(CURDIR)/debian/python*-mistralclient/usr/lib/python*/dist-packages/*.pth
-	mv $(CURDIR)/debian/python-mistralclient/usr/bin/mistral $(CURDIR)/debian/python-mistralclient/usr/bin/python2-mistral
-	mv $(CURDIR)/debian/python3-mistralclient/usr/bin/mistral $(CURDIR)/debian/python3-mistralclient/usr/bin/python3-mistral
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## python-mistralclient 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=2.3.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:3.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 19:18:15 +0000

python-mistralclient (1:3.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Set PYTHONPATH=$(CURDIR) when running unit tests.
  * d/p/fix-doc-build-if-git-is-absent.patch: Cherry-pick patch from
    gerrit to allow builds without git.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 10:41:13 -0500

python-mistralclient (1:2.1.2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Dec 2016 08:30:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-mistralclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -13,51 +14,63 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-cliff (>= 1.15.0),
+Build-Depends-Indep: python-cliff (>= 2.3.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneclient (>= 1:2.0.0),
+                     python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
                      python-nose,
-                     python-openstackclient (>= 2.1.0),
-                     python-osc-lib (>= 1.0.2),
-                     python-oslo.utils (>= 3.16.0),
+                     python-openstackclient (>= 3.3.0),
+                     python-osc-lib (>= 1.2.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
+                     python-stevedore (>= 1.17.1),
                      python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-yaml,
-                     python3-cliff (>= 1.15.0),
+                     python3-cliff (>= 2.3.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
                      python3-nose,
-                     python3-openstackclient (>= 2.1.0),
-                     python3-osc-lib (>= 1.0.2),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-openstackclient (>= 3.3.0),
+                     python3-osc-lib (>= 1.2.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-osprofiler (>= 1.4.0),
                      python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-tempest (>= 1:12.1.0),
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-yaml,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mistralclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-mistralclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient
 Architecture: all
-Depends: python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1:2.0.0),
-         python-osc-lib (>= 1.0.2),
-         python-oslo.utils (>= 3.16.0),
+Depends: python-cliff (>= 2.3.0),
+         python-keystoneclient (>= 1:3.8.0),
+         python-osc-lib (>= 1.2.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
+         python-stevedore (>= 1.17.1),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -79,13 +92,15 @@
 
 Package: python3-mistralclient
 Architecture: all
-Depends: python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1:2.0.0),
-         python3-osc-lib (>= 1.0.2),
-         python3-oslo.utils (>= 3.16.0),
+Depends: python3-cliff (>= 2.3.0),
+         python3-keystoneclient (>= 1:3.8.0),
+         python3-osc-lib (>= 1.2.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
+         python3-stevedore (>= 1.17.1),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},

## python-mistralclient 3.0.2

=== debian/changelog ===
python-mistralclient (1:3.0.2-1) unstable; urgency=medium

  * New upstream version
  * Edit debian/control to match requirements
  * Add PYTHONPATH before nosetests

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 07 Dec 2017 12:23:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-mistralclient
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 54~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -19,16 +18,16 @@
                      python-hacking,
                      python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
+                     python-requests-mock (>= 1.1),
                      python-nose,
                      python-openstackclient (>= 3.3.0),
                      python-osc-lib (>= 1.2.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-osprofiler (>= 1.4.0),
+                     python-osprofiler (>= 1.4.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
-                     python-osprofiler (>= 1.4.0),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.17.1),
                      python-tempest (>= 1:12.1.0),
@@ -39,16 +38,15 @@
                      python3-fixtures (>= 3.0.0),
                      python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
+                     python3-requests-mock (>= 1.1),
                      python3-nose,
                      python3-openstackclient (>= 3.3.0),
                      python3-osc-lib (>= 1.2.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-osprofiler (>= 1.4.0),
                      python3-oslosphinx (>= 4.7.0),
-                     python3-oslotest (>= 1:1.10.0),
-                     python3-osprofiler (>= 1.4.0),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.17.1),
                      python3-tempest (>= 1:12.1.0),
@@ -56,8 +54,8 @@
                      python3-unittest2,
                      python3-yaml,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mistralclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-mistralclient -b debian/newton
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient
@@ -65,8 +63,8 @@
 Depends: python-cliff (>= 2.3.0),
          python-keystoneclient (>= 1:3.8.0),
          python-osc-lib (>= 1.2.0),
+         python-oslo.utils (>= 3.18.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
@@ -95,8 +93,8 @@
 Depends: python3-cliff (>= 2.3.0),
          python3-keystoneclient (>= 1:3.8.0),
          python3-osc-lib (>= 1.2.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
-	nosetests3 -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
+	PYTHONPATH=. nosetests -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
+	PYTHONPATH=. nosetests3 -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
 #	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
 #		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 #		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \

## python-mistralclient 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff>=2.3.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:3.1.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: python-mistralclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 54~),
+               openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-cliff (>= 2.3.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking,
                      python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
-                     python-requests-mock (>= 1.1),
                      python-nose,
                      python-openstackclient (>= 3.3.0),
-                     python-osc-lib (>= 1.2.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-osc-lib (>= 1.5.1),
                      python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.20.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-osprofiler (>= 1.4.0),
-                     python-osprofiler (>= 1.4.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:14.0.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-yaml,
@@ -38,37 +39,38 @@
                      python3-fixtures (>= 3.0.0),
                      python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
-                     python3-requests-mock (>= 1.1),
                      python3-nose,
                      python3-openstackclient (>= 3.3.0),
-                     python3-osc-lib (>= 1.2.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-osc-lib (>= 1.5.1),
                      python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.20.0),
+                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-osprofiler (>= 1.4.0),
-                     python3-oslosphinx (>= 4.7.0),
                      python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.17.1),
-                     python3-tempest (>= 1:12.1.0),
+                     python3-stevedore (>= 1.20.0),
+                     python3-tempest (>= 1:14.0.0),
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-yaml,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mistralclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-mistralclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient
 Architecture: all
 Depends: python-cliff (>= 2.3.0),
          python-keystoneclient (>= 1:3.8.0),
-         python-osc-lib (>= 1.2.0),
-         python-oslo.utils (>= 3.18.0),
+         python-osc-lib (>= 1.5.1),
          python-oslo.i18n (>= 2.1.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -92,13 +94,13 @@
 Architecture: all
 Depends: python3-cliff (>= 2.3.0),
          python3-keystoneclient (>= 1:3.8.0),
-         python3-osc-lib (>= 1.2.0),
-         python3-oslo.utils (>= 3.18.0),
+         python3-osc-lib (>= 1.5.1),
          python3-oslo.i18n (>= 2.1.0),
-         python3-pbr (>= 1.8),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.17.1),
+         python3-stevedore (>= 1.20.0),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-mistralclient/python-mistralclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mistralclient 3.2.0

=== debian/changelog ===
python-mistralclient (1:3.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:38:34 +0000

python-mistralclient (1:3.1.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:07:55 +0000

python-mistralclient (1:3.1.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Switching to python -m nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 22:08:23 +0200

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-hacking,
 python-keystoneauth1 (>= 3.3.0),
 python-mock,
 python-nose,
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-six,
 python-stevedore (>= 1.20.0),
 python-tempest (>= 1:17.1.0),
 python-yaml,
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock,
 python3-nose,
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-mistralclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-mistralclient.git
Homepage: https://github.com/stackforge/python-mistralclient

Package: python-mistralclient
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.3.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stevedore (>= 1.20.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 2.7
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 2.7 client module.

Package: python3-mistralclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.
